Invoke Assistant Stream

This endpoint establishes a Server-Sent Events (SSE) stream to deliver real-time response parts to the client.
The stream emits the following events in sequence:

  • chat: Sent at the beginning of the stream to provide chat context.

    event: chat

    data: {"chat_id": ..., "chat_title": ...}
  • pending_tool_call: Sent at the moment when specific crypto tool was called.

    event: pending_tool_call

    data: {'call_id': call_..., 'title': {'en': 'Analyzing smart money trades..'}}
  • finished_tool_call: Sent at the moment when specific crypto tool was finished.

    event: finished_tool_call

    data: {'call_id': call_...}
  • message_start: Signals the beginning of a new message.

    event: message_start

    event: message_start

    data: {"t": ...} (multiple times)
  • message_end: Indicates that the current message has finished. Includes the message ID.

    event: message_end

    data: {"message_id": ...}
  • finish: Marks the end of the entire stream session.

    event: finish

    data: null
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Message text for AI assistant processing

uuid

Used to continue the dialogue in a specific chat.If not specified, a new chat will be created.

string
enum
Defaults to ascn_v1.0

AI assistant model to process request

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json